Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class AbstractManageableRealm

    java.lang.Object
      |
      +--weblogic.security.acl.AbstractListableRealm
            |
            +--weblogic.security.acl.AbstractManageableRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by a Pluggable Security Infrastructure that includes Authentication, Authorization, and Auditing providers.

public abstract class AbstractManageableRealm
extends AbstractListableRealm
implements ManageableRealm

Author:
  Copyright (c) 2000 BEA Systems, Inc.
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractManageableRealm(java.lang.String auditName)` Deprecated.

Method Summary
`void` | `deleteAcl(java.security.Principal owner, java.security.acl.Acl acl)` Deprecated. Deletes an Acl from a ManageableRealm.
`void` | `deleteGroup(java.security.acl.Group group)` Deprecated. Deletes a Group from a ManageableRealm.
`void` | `deletePermission(java.security.acl.Permission perm)` Deprecated. Deletes a Permission from a ManageableRealm.
`void` | `deleteUser(User user)` Deprecated. Deletes a User from a ManageableRealm.
`java.security.acl.Acl` | `newAcl(java.security.Principal owner, java.lang.String name)` Deprecated. Maybe owners should be handled internal to the realm?
`java.security.acl.Group` | `newGroup(java.lang.String name)` Deprecated. Returns a new group for a ManageableRealm.
`java.security.acl.Permission` | `newPermission(java.lang.String name)` Deprecated. Creates a new Permission with the specified name for a ManageableRealm.
`User` | `newUser(java.lang.String name, java.lang.Object credential, java.lang.Object constraints)` Deprecated. Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints.
`void` | `setPermission(java.security.acl.Acl acl, java.security.Principal principal, java.security.acl.Permission permission, boolean allow)` Deprecated. Sets or unsets a permission for a principal in an ACL.

Methods inherited from class weblogic.security.acl.AbstractListableRealm
`authCertificates, authenticate, authInternal, authSSLCertificates, authUserPassword, getAcl, getAcl, getAclOwner, getAcls, getDelegator, getGroup, getGroupMembers, getGroupMembersInternal, getGroups, getName, getPermission, getPermissions, getUser, getUser, getUsers, init, load, save, setDelegator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractManageableRealm

    protected AbstractManageableRealm(java.lang.String auditName)

  Deprecated.

Method Detail

### newUser

    public User newUser(java.lang.String name,
                        java.lang.Object credential,
                        java.lang.Object constraints)
                 throws java.lang.SecurityException

  Deprecated.
  Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints. Typical credential objects are X.509 certificates, certificate tokens, and passwords. Typical constraint objects are originating network addresses, token redeemers, or expiration date.

  If a user of that name already exists, a SecurityException is thrown.

  Specified by:
    newUser in interface ManageableRealm

  Parameters:
    `name` - Username
    `credential` - X.509 certificate, token, or password, etc.
    `constraints` - Constraints on this user's access
  Returns:
    User in a ManageableRealm
  Throws:
    java.lang.SecurityException - if there is an error

### newGroup

    public java.security.acl.Group newGroup(java.lang.String name)
                                     throws java.lang.SecurityException

  Deprecated.
  Returns a new group for a ManageableRealm.
  Specified by:
    newGroup in interface ManageableRealm

  Parameters:
    `name` - Name for the new Group
  Returns:
    Group in a ManageableRealm
  Throws:
    java.lang.SecurityException -

### newAcl

    public java.security.acl.Acl newAcl(java.security.Principal owner,
                                        java.lang.String name)
                                 throws java.lang.SecurityException

  Deprecated.
  Maybe owners should be handled internal to the realm?
  Specified by:
    newAcl in interface ManageableRealm

  Parameters:
    `owner` -
    `name` -
  Returns:
    Acl in a ManageableRealm
  Throws:
    java.lang.SecurityException -

### newPermission

    public java.security.acl.Permission newPermission(java.lang.String name)
                                               throws java.lang.SecurityException

  Deprecated.
  Creates a new Permission with the specified name for a ManageableRealm.
  Specified by:
    newPermission in interface ManageableRealm

  Parameters:
    `name` - Name for the Permission
  Returns:
    Permission object
  Throws:
    java.lang.SecurityException -

### deleteUser

    public void deleteUser(User user)
                    throws java.lang.SecurityException

  Deprecated.
  Deletes a User from a ManageableRealm.
  Specified by:
    deleteUser in interface ManageableRealm

  Parameters:
    `user` - User to be removed from the realm
  Throws:
    java.lang.SecurityException -

### deleteGroup

    public void deleteGroup(java.security.acl.Group group)
                     throws java.lang.SecurityException

  Deprecated.
  Deletes a Group from a ManageableRealm.
  Specified by:
    deleteGroup in interface ManageableRealm

  Parameters:
    `group` - Group to be removed from the realm
  Throws:
    java.lang.SecurityException -

### deleteAcl

    public void deleteAcl(java.security.Principal owner,
                          java.security.acl.Acl acl)
                   throws java.lang.SecurityException

  Deprecated.
  Deletes an Acl from a ManageableRealm. An AclOwner must be supplied to delete the Acl.
  Specified by:
    deleteAcl in interface ManageableRealm

  Parameters:
    `owner` - Principal who is an owner of the ACL
    `acl` - Access control list to be deleted
  Throws:
    java.lang.SecurityException -

### deletePermission

    public void deletePermission(java.security.acl.Permission perm)
                          throws java.lang.SecurityException

  Deprecated.
  Deletes a Permission from a ManageableRealm.
  Specified by:
    deletePermission in interface ManageableRealm

  Parameters:
    `perm` - Access control list to be deleted
  Throws:
    java.lang.SecurityException -

### setPermission

    public void setPermission(java.security.acl.Acl acl,
                              java.security.Principal principal,
                              java.security.acl.Permission permission,
                              boolean allow)

  Deprecated.
  Sets or unsets a permission for a principal in an ACL. This operation is typically subject to access control.
  Specified by:
    setPermission in interface ManageableRealm

  Parameters:
    `acl` - Access control list to update
    `principal` - Principal who is an owner of the ACL
    `permission` - Permission to update
    `allow` - True to set permission to allow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference